%define module_name Sort-Naturally-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(AutoLoader.pm) perl(Config.pm) perl(Encode.pm) perl(Exporter.pm) perl(List/Util.pm) perl(XSLoader.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.7.9
Release: alt3
Summary: Perl extension for human-friendly ("natural") sort order
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SE/SERVAL/%{module_name}-%{version}.tar.gz

%description
Natural sort order is an ordering of mixed strings (consist of characters and digits) in alphabetical order, except
that digital parts are ordered as numbers. Natural sorting can be considered as a replacement of a standard
machine-oriented alphabetical sorting, because it is more convenient for human understanding. For example,
the following list:

  test21 test20 test10 test11 test2 test1

after performing a standard machine-oriented alphabetical sorting, will be as follows:

  test1 test10 test11 test2 test20 test21

The sequence appears unnatural, because test10 and test11 come before test2. On the other hand, natural sorting gives a
human-friendly sequence:

  test1 test2 test10 test11 test20 test21

now test2 comes before test10 and test11.
%prep
%setup -q -n %{module_name}-%{version}
[ %version = 0.7.9 ] && rm t/Sort-Naturally-XS-sorted.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.7.9-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt2
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.7.9-alt1.1
- rebuild with perl 5.28.1

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.7.9-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.8-alt2
- rebuild with perl 5.26

* Fri Sep 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.8-alt1
- regenerated from template by package builder

* Wed Aug 02 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.7-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.6-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.7.5-alt1
- initial import by package builder

